Documentation

动作控制

Last updated: Nov 4, 2026

POST
/v3/aigc/kl/videos/motion-control

让参考图中的人物按参考视频的动作运动。动作难度高、速度快时可能生成不足上传时长的结果,消耗的积分不退。

使用 TE 北京地域 API Key 鉴权。模型能力、调用约定见 Kling 接口概览。

Authorization

BearerAuth
headerAuthorizationBearer <token>

TE 北京地域 API Key,填写后自动添加 Bearer 前缀。

Request Body

application/json
  1. body
model_name?string

kling-v3

prompt?string

可增加画面元素、运镜,≤ 2500 字符

image_url?string

参考图(人物、背景以此为准),URL 或 Base64;宽高 300~65536px;需露出清晰上半身或全身及头部

video_url?string

动作参考视频;mp4/mov,≤ 100MB,边长 340~3850px,≥ 3s;一镜到底,建议单人

element_list?array<>

仅 1 个主体;引用主体时只能参考视频中的人物朝向

keep_original_sound?string

yes / no

character_orientation*string

image:与图片朝向一致,视频 ≤ 10s;video:与视频朝向一致,视频 ≤ 30s

mode*string

std、pro

watermark_info?

{"enabled": true} 同时生成含水印结果;不支持自定义水印

Response Body

成功;具体状态及结果见响应字段。

application/json
  1. response
taskId?string

任务 ID

requestId?string

请求 ID,用于排查

code?string

错误码,异常时返回

message?string

错误信息,异常时返回

Example Request
curl -X POST 'https://vod.bj.baidubce.com/v3/aigc/kl/videos/motion-control' \  -H 'Content-Type: application/json' \  -d '{  "model_name": "kling-v3",  "image_url": "https://example.com/person.png",  "video_url": "https://example.com/dance.mp4",  "character_orientation": "video",  "mode": "std"}'
Example Response200
{  "taskId": "tsk-xxxxxxxxxxxxxxxx",  "requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"}